<?php

namespace Cadoles\PortalBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Session\Session;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Form\FormError;

use Cadoles\PortalBundle\Entity\Slide;
use Cadoles\PortalBundle\Form\SlideType;

class ToolController extends Controller
{
    public function clockanalogiqueAction(Request $request)
    {
        $colorbodyfont=$request->query->get('colorbodyfont');
        $colorbodyback=$request->query->get('colorbodyback');

        return $this->render('CadolesPortalBundle:Tool:clockanalogique.html.twig',[
            'useheader'         => false,
            'usemenu'           => false,
            'usesidebar'        => false,  
            'colorbodyback'     => $colorbodyback,
            'colorbodyfont'     => $colorbodyfont
          ]);
    }

    public function clocknumeriqueAction(Request $request)
    {
        $colorbodyfont=$request->query->get('colorbodyfont');
        $colorbodyback=$request->query->get('colorbodyback');

        return $this->render('CadolesPortalBundle:Tool:clocknumerique.html.twig',[
            'useheader'         => false,
            'usemenu'           => false,
            'usesidebar'        => false,  
            'colorbodyback'     => $colorbodyback,
            'colorbodyfont'     => $colorbodyfont
          ]);
    } 

    public function calculatorAction(Request $request)
    {
        $colorbodyfont=$request->query->get('colorbodyfont');
        $colorbodyback=$request->query->get('colorbodyback');

        return $this->render('CadolesPortalBundle:Tool:calculator.html.twig',[
            'useheader'         => false,
            'usemenu'           => false,
            'usesidebar'        => false,  
            'colorbodyback'     => $colorbodyback,
            'colorbodyfont'     => $colorbodyfont
          ]);
    }          
}
